FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

qemu -- stack buffer overflow while parsing SCSI commands

Affected packages
qemu < 2.4.0
qemu-devel < 2.4.0
qemu-sbruno < 2.4.50.g20150814
qemu-user-static < 2.4.50.g20150814


VuXML ID a267cd6c-b0c4-11e5-8d13-bc5ff45d0f28
Discovery 2015-07-23
Entry 2016-01-01

Prasad J Pandit, Red Hat Product Security Team, reports:

Qemu emulator built with the SCSI device emulation support is vulnerable to a stack buffer overflow issue. It could occur while parsing SCSI command descriptor block with an invalid operation code.

A privileged(CAP_SYS_RAWIO) user inside guest could use this flaw to crash the Qemu instance resulting in DoS.


CVE Name CVE-2015-5158